site:
  code: flk_npc
  name: 国家法律法规数据库
  base_url: https://flk.npc.gov.cn
  role: nation_ref
  cms_adapter: flk_npc
  adapter_params:
    page_size: 20
    hard_max_pages: 40
    # Whole top-level "法律" section:
    #   110/120/130/140/150/155/160/170 = sectoral laws
    #   180/190/195/200 = legal interpretations, decisions, amendments,
    #                      amendment/repeal decisions
    flfg_code_ids: [110, 120, 130, 140, 150, 155, 160, 170, 180, 190, 195, 200]
  default_fetch_strategy: httpx
  respect_robots: true
  enabled: true
  remark: 国家法律法规数据库 API 采集；当前配置含“法律”“行政法规”“监察法规”“司法解释”栏目。

columns:
  - column_id: laws
    name: 法律
    entry_url: https://flk.npc.gov.cn/search
    channel_name: 法律
    channel_path: 国家法律法规数据库/法律
    content_category: 法律法规
    content_subcategory: 法律
    schedule_cron: "0 7 * * *"
    expected_cadence_days: 7
    interval_sec: 5
    interval_jitter_sec: 2
    track_checkpoint: true
    parser_override:
      adapter_params:
        hard_max_pages: 40
        crawl_order: {mode: paged_batch, batch_pages: 1}
        flfg_code_ids: [110, 120, 130, 140, 150, 155, 160, 170, 180, 190, 195, 200]
    enabled: true

  - column_id: administrative_regulations
    name: 行政法规
    entry_url: https://flk.npc.gov.cn/search
    channel_name: 行政法规
    channel_path: 国家法律法规数据库/行政法规
    content_category: 法律法规
    content_subcategory: 行政法规
    schedule_cron: "15 7 * * *"
    expected_cadence_days: 7
    interval_sec: 5
    interval_jitter_sec: 2
    track_checkpoint: true
    parser_override:
      adapter_params:
        # 210 = 行政法规；215 = 修改、废止的决定。父级 201 本身不返回列表数据。
        hard_max_pages: 45
        crawl_order: {mode: paged_batch, batch_pages: 1}
        flfg_code_ids: [210, 215]
    enabled: true

  - column_id: supervision_regulations
    name: 监察法规
    entry_url: https://flk.npc.gov.cn/search
    channel_name: 监察法规
    channel_path: 国家法律法规数据库/监察法规
    content_category: 法律法规
    content_subcategory: 监察法规
    schedule_cron: "30 7 * * *"
    expected_cadence_days: 7
    interval_sec: 5
    interval_jitter_sec: 2
    track_checkpoint: true
    parser_override:
      adapter_params:
        # 220 = 监察法规。
        hard_max_pages: 5
        crawl_order: {mode: paged_batch, batch_pages: 1}
        flfg_code_ids: [220]
    enabled: true

  - column_id: judicial_interpretations
    name: 司法解释
    entry_url: https://flk.npc.gov.cn/search
    channel_name: 司法解释
    channel_path: 国家法律法规数据库/司法解释
    content_category: 法律法规
    content_subcategory: 司法解释
    schedule_cron: "45 7 * * *"
    expected_cadence_days: 7
    interval_sec: 5
    interval_jitter_sec: 2
    track_checkpoint: true
    parser_override:
      adapter_params:
        # 320 = 高法司法解释；330 = 高检司法解释；
        # 340 = 联合发布司法解释；350 = 修改、废止的决定。
        # 父级 311 本身不返回列表数据。
        hard_max_pages: 45
        crawl_order: {mode: paged_batch, batch_pages: 1}
        flfg_code_ids: [320, 330, 340, 350]
    enabled: true
